Name:           ocaml-sha
Version:        1.15.4
Release:        %mkrel 1
Summary:        SHA Cryptographic Hash Functions for OCaml
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/djs55/ocaml-sha
VCS:            git:%{url}.git
Source0:        %{url}/releases/download/v%{version}/sha-%{version}.tbz

# The OCaml version packaged in Fedora is recent enough, no need to shim stdlib.
Patch1:         ocaml-sha-remove-stdlib-shims-dep.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-ounit-devel

%description
A binding for SHA interface code in OCaml.  This packages offers the
same interface as the MD5 digest included in the OCaml standard library.
It currently provides SHA1, SHA256 and SHA512 hash functions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n sha-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md CHANGES.md
%license LICENSE.md

%files devel -f .ofiles-devel
%doc README.md CHANGES.md
%license LICENSE.md



%changelog
* Sat Apr 05 2025 pterjan <pterjan> 1.15.4-1.mga10
+ Revision: 2173709
- Update to 1.15.4

* Fri May 20 2022 pterjan <pterjan> 1.13-4.mga9
+ Revision: 1859416
- Rebuild for OCaml 4.14

* Tue Oct 12 2021 tv <tv> 1.13-3.mga9
+ Revision: 1750742
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.13-1.mga9
+ Revision: 1696696
- rebuild for ocaml-4.2-12
- 1.13

* Sun Jan 10 2021 pterjan <pterjan> 1.12-7.mga8
+ Revision: 1670673
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.12-6.mga8
+ Revision: 1551498
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.12-5.mga8
+ Revision: 1543752
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 1.12-4.mga8
+ Revision: 1482227
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.12-3.mga7
+ Revision: 1324407
- Rebuild for ocaml 4.07.1

* Tue Oct 23 2018 pterjan <pterjan> 1.12-2.mga7
+ Revision: 1324387
- Rebuild for ocaml 4.07.1

* Tue Aug 28 2018 daviddavid <daviddavid> 1.12-1.mga7
+ Revision: 1255316
- new version: 1.12
- switch to jbuilder

* Thu Dec 07 2017 tv <tv> 1.10-1.mga7
+ Revision: 1181603
- new release
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 1.9-5.mga7
+ Revision: 1169690
- patch1: honor user CFLAGS thus fixing empty debugsourcefiles.list

* Wed Feb 17 2016 umeabot <umeabot> 1.9-4.mga6
+ Revision: 964302
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-3.mga5
+ Revision: 746390
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-2.mga5
+ Revision: 683105
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.9-1.mga5
+ Revision: 673953
- update to 1.9

* Fri Oct 18 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 508533
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 361623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.8-1.mga3
+ Revision: 319805
- updated to last version 1.8

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.7-3.mga3
+ Revision: 301110
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.7-2.mga3
+ Revision: 300555
- new rpm group for ocaml
- new homepage url

* Sat Jan 07 2012 blue_prawn <blue_prawn> 1.7-1.mga2
+ Revision: 192880
- imported package ocaml-sha

